com.smartgwt.client.widgets.calendar

## Class Timeline

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.calendar.Calendar
          - - com.smartgwt.client.widgets.calendar.Timeline

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasBackgroundClickHandlers, HasBackgroundMouseDownHandlers, HasBackgroundMouseUpHandlers, HasCurrentViewChangedHandlers, HasDateChangedHandlers, HasDayBodyClickHandlers, HasDayHeaderClickHandlers, HasEventAddedHandlers, HasEventChangedHandlers, HasEventClickHandlers, HasEventRemoveClickHandlers, HasEventRemovedHandlers, HasEventRepositionMoveHandlers, HasEventRepositionStopHandlers, HasEventResizeMoveHandlers, HasEventResizeStopHandlers, HasEventSaveErrorHandlers, HasEventsRenderedHandlers, HasIndicatorClickHandlers, HasZoneClickHandlers, DataBoundComponent, HasClearHandlers, HasClickHandlers, HasDoubleClickHandlers, HasDragCompleteHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropCompleteHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFetchDataHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasRuleContextChangedHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers

      public class Timeline
      extends Calendar

  Timeline is a trivial subclass of `Calendar` that configures the Calendar with settings typical for a standalone timeline view: hides the `day`, `week` and `month` tabs and the `controls bar` by default.

  Note that the `Calendar module` must be loaded to make use of the Timeline class.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timeline()`
    `Timeline(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `static Timeline` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `static void` | `setDefaultProperties(Timeline timelineProperties)` Class level method to set the default properties of this class.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.calendar.TimelineLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - ### Methods inherited from class com.smartgwt.client.widgets.calendar.Calendar

      `addBackgroundClickHandler, addBackgroundMouseDownHandler, addBackgroundMouseUpHandler, addCalendarEvent, addCalendarEvent, addCurrentViewChangedHandler, addDateChangedHandler, addDayBodyClickHandler, addDayHeaderClickHandler, addDragCompleteHandler, addDropCompleteHandler, addEvent, addEvent, addEventAddedHandler, addEventChangedHandler, addEventClickHandler, addEventRemoveClickHandler, addEventRemovedHandler, addEventRepositionMoveHandler, addEventRepositionStopHandler, addEventResizeMoveHandler, addEventResizeStopHandler, addEventSaveErrorHandler, addEventsRenderedHandler, addFetchDataHandler, addFormulaField, addIndicator, addIndicatorClickHandler, addLane, addLaneEvent, addLaneEvent, addLaneEvent, addLaneEvent, addLaneEvent, addSummaryField, addZone, addZoneClickHandler, adjustCriteria, anySelected, calendarLoaded, cancelEditing, createEventCanvasComponent, dateIsWorkday, dateIsWorkday, deselectAllRecords, deselectEvent, deselectEvents, deselectRecord, deselectRecord, deselectRecords, deselectRecords, disableHilite, disableHiliting, editFields, editHilites, enableHilite, enableHilite, enableHiliting, enableHiliting, eventMoved, eventRepositionStart, eventResized, exportData, exportData, exportData, fetchData, fetchData, fetchData, fetchData, filterData, filterData, filterData, filterData, find, findAll, findIndex, findNextIndex, findNextIndex, getActiveDay, getActiveTime, getAddDropValues, getAddEventButton, getAddEventButtonHoverText, getAddFormulaFieldText, getAddOperation, getAddSummaryFieldText, getAllDayField, getAllowDurationEvents, getAllowLongEvents, getAlternateLaneStyles, getAlwaysShowEventHovers, getAutoFetchAsFilter, getAutoFetchData, getAutoFetchTextMatchStyle, getBackButtonIconSrc, getBackButtonTitle, getBaseStyle, getBringEventsToFront, getCalMonthEventLinkStyle, getCanAddFormulaFields, getCanAddSummaryFields, getCancelButton, getCancelButtonTitle, getCanCreateEvents, getCanCreateOtherDayEvents, getCanDeleteEvents, getCanDragCreateEvents, getCanDragEventField, getCanDragEvents, getCanEditEvents, getCanEditField, getCanEditLane, getCanEditLaneField, getCanEditSublane, getCanEditSublaneField, getCanGroupLanes, getCanRemoveEvents, getCanRemoveField, getCanReorderLanes, getCanResizeEventField, getCanResizeEvents, getCanResizeTimelineEvents, getCanSelectEvents, getCellDate, getCellDate, getCellDate, getCellDate, getCellHoverHTML, getChosenDate, getColumnLayout, getColumnsPerPage, getControlBarIconBaseStyle, getControlBarIconSize, getControlsBar, getControlsBarHeight, getCurrentViewName, getData, getDataAsJSList, getDataFetchMode, getDataPageSize, getDataSource, getDateCellAlign, getDateCellVAlign, getDateChooser, getDateCSSText, getDateEditingStyle, getDateFormatter, getDateFromPoint, getDateFromPoint, getDateFromPoint, getDateFromPoint, getDateFromPoint, getDateHeaderTitle, getDateHTML, getDateLabel, getDateLabelText, getDatePickerButton, getDatePickerHoverText, getDateStyle, getDayBodyBaseStyle, getDayBodyHTML, getDayHeaderBaseStyle, getDayView, getDayViewTitle, getDeepCloneOnEdit, getDefaultTimelineColumnSpan, getDescriptionField, getDetailsButtonTitle, getDisableWeekends, getDragData, getDragDataAction, getDragHoverHTML, getDragTrackerStyle, getDropValues, getDuplicateDragMessage, getDurationField, getDurationUnitField, getEditFormulaFieldText, getEditSummaryFieldText, getEndDate, getEndDateField, getEventAllDayFieldTitle, getEventAutoArrange, getEventBodyHTML, getEventBodyHTML, getEventCanvas, getEventCanvasButtonLayout, getEventCanvasCloseButton, getEventCanvasCloseButtonSize, getEventCanvasCloseIconSize, getEventCanvasComponent, getEventCanvasContextButton, getEventCanvasContextMenu, getEventCanvasGripper, getEventCanvasHResizer, getEventCanvasLabel, getEventCanvasStyle, getEventCanvasStyle, getEventCanvasVResizer, getEventDescriptionFieldTitle, getEventDialog, getEventDragGap, getEventDurationFieldTitle, getEventDurationUnitFieldTitle, getEventEditor, getEventEditorButtonLayout, getEventEditorButtons, getEventEditorDateFieldTitle, getEventEditorLayout, getEventEndDate, getEventEndDateFieldTitle, getEventHeaderHeight, getEventHeaderHTML, getEventHeaderHTML, getEventHeaderWrap, getEventHoverHTML, getEventHoverHTML, getEventLane, getEventLane, getEventLaneFieldTitle, getEventLength, getEventLength, getEventNameFieldTitle, getEventOverlap, getEventOverlapIdenticalStartTimes, getEventOverlapPercent, getEventScreen, getEventSnapGap, getEventStartDate, getEventStartDateFieldTitle, getEventStyleName, getEventStyleNameField, getEventSublane, getEventSublane, getEventSublaneFieldTitle, getEventWindowStyle, getEventWindowStyleField, getExportAll, getExportFields, getExportIncludeSummaries, getFetchOperation, getFieldAlignments, getFieldCount, getFieldsAsJavaScriptObjects, getFirstDayOfWeek, getFixedEventHeight, getHeaderHoverHTML, getHeaderLevels, getHideUnusedLanes, getHiliteProperty, getHilites, getHiliteState, getImplicitCriteria, getIncludeRangeCriteria, getIndicatorCanvas, getIndicatorCanvasStyle, getIndicatorCanvasStyle, getIndicatorHoverHTML, getIndicators, getIndicatorStyleName, getInitialCriteria, getInvalidDateMessage, getLane, getLane, getLaneEventPadding, getLaneEvents, getLaneEvents, getLaneEvents, getLaneFields, getLaneFromPoint, getLaneFromPoint, getLaneFromPoint, getLaneFromPoint, getLaneGroupByField, getLaneGroupByFieldAsString, getLaneGroupByFieldAsStringArray, getLaneNameField, getLanePadding, getLanePadding, getLanes, getLeadingDateField, getLimitToWorkday, getLongEventDragOpacity, getLongEventHeight, getLongEventHoverHTML, getLongEventHoverHTML, getLongEventHTML, getLongEventHTML, getLongEventLayoutHoverHTML, getLongEventLayoutHoverHTML, getLongEventLayoutSpace, getLongEventLayoutStyleName, getLongEventStyleName, getMainView, getMinimalUI, getMinimumDayHeight, getMinLaneHeight, getMinLaneWidth, getMinRowHeight, getMinutesPerRow, getMonthButton, getMonthButtonIconSrc, getMonthButtonTitle, getMonthMoreEventsLinkTitle, getMonthMoreEventsMenu, getMonthView, getMonthViewHoverHTML, getMonthViewTitle, getNameField, getNewEventWindowTitle, getNewLongEventName, getNextButton, getNextButtonHoverText, getOtherDayBlankStyle, getOtherDayBodyBaseStyle, getOtherDayClickNavigation, getOtherDayHeaderBaseStyle, getOverlapSortSpecifiers, getPeriodEndDate, getPeriodEndDate, getPeriodStartDate, getPeriodStartDate, getPreventDuplicates, getPreviousButton, getPreviousButtonHoverText, getProgressiveLoading, getRecordIndex, getRecordList, getRemoveButton, getRemoveButtonTitle, getRemoveOperation, getRenderEventsOnDemand, getResultSet, getRowHeight, getRowTitleFrequency, getSaveButton, getSaveButtonTitle, getSavedSearchId, getScrollToWorkday, getSelectChosenDate, getSelectedCellStyle, getSelectedEvent, getSelectedEvents, getSelectedView, getShowAddEventButton, getShowCellHovers, getShowColumnLayouts, getShowComplexFields, getShowControlsBar, getShowDateChooser, getShowDatePickerButton, getShowDayHeaders, getShowDayLanes, getShowDayView, getShowDetailFields, getShowDragHovers, getShowEventCanvasComponents, getShowEventDescriptions, getShowEventHeaders, getShowEventHovers, getShowHeaderHovers, getShowHiddenFields, getShowIndicators, getShowIndicatorsInFront, getShowLabelColumn, getShowLaneFieldHovers, getShowLaneRollOver, getShowMonthButton, getShowMonthView, getShowNextButton, getShowOtherDays, getShowPreviousButton, getShowQuickEventDialog, getShowSavedSearchesByDS, getShowTimelineView, getShowViewHovers, getShowWeekends, getShowWeekView, getShowWorkday, getShowZoneHovers, getShowZones, getSizeEventsToGrid, getSizeToWorkday, getSort, getSparseFieldState, getStartDate, getStartDateField, getStyleWorkday, getSublane, getSublane, getSublaneEvents, getSublaneEvents, getSublaneFromPoint, getSublaneFromPoint, getSublaneFromPoint, getSublaneFromPoint, getSublaneNameField, getTimeFormatter, getTimelineGranularity, getTimelineUnitsPerColumn, getTimelineView, getTimelineViewTitle, getTitleField, getTitleFieldValue, getTodayBackgroundColor, getTrailingDateField, getTwentyFourHourTime, getUpdateOperation, getUseAllDataSourceFields, getUseEventCanvasRolloverControls, getUseFlatFields, getUseSublanes, getView, getVisibleEndDate, getVisibleEndDate, getVisibleStartDate, getVisibleStartDate, getWeekendDays, getWeekEventBorderOverlap, getWeekPrefix, getWeekView, getWeekViewTitle, getWorkdayBaseStyle, getWorkdayEnd, getWorkdayEnd, getWorkdayStart, getWorkdayStart, getZoneCanvas, getZoneCanvasStyle, getZoneCanvasStyle, getZoneHoverHTML, getZones, getZoneStyleName, getZoneTitleOrientation, groupLanesBy, groupLanesBy, invalidateCache, isLongEvent, isLongEvent, moveToEvent, next, onInit_Calendar, onInit, previous, refreshEvent, removeEvent, removeIndicator, removeIndicator, removeLane, removeLane, removeZone, removeZone, scrollToEnd, scrollToEnd, scrollToEvent, scrollToEvent, scrollToStart, scrollToStart, scrollToTime, selectAllRecords, selectEvent, selectEvents, selectRecord, selectRecord, selectRecord, selectRecord, selectRecords, selectRecords, selectRecords, selectRecords, selectSingleEvent, selectTab, setAddDropValues, setAddEventButtonHoverText, setAddFormulaFieldText, setAddOperation, setAddSummaryFieldText, setAllDayField, setAllowDurationEvents, setAlternateLaneStyles, setAlwaysShowEventHovers, setAutoFetchAsFilter, setAutoFetchData, setAutoFetchTextMatchStyle, setBackButtonIconSrc, setBackButtonTitle, setBaseStyle, setBringEventsToFront, setCalMonthEventLinkStyle, setCanAddFormulaFields, setCanAddSummaryFields, setCancelButtonTitle, setCanCreateEvents, setCanCreateOtherDayEvents, setCanDeleteEvents, setCanDragCreateEvents, setCanDragEventField, setCanDragEvents, setCanEditEvents, setCanEditField, setCanEditLane, setCanEditLaneField, setCanEditSublane, setCanEditSublaneField, setCanGroupLanes, setCanRemoveEvents, setCanRemoveField, setCanReorderLanes, setCanResizeEventField, setCanResizeEvents, setCanResizeTimelineEvents, setCanSelectEvents, setCellHoverCustomizer, setChosenDate, setColumnsPerPage, setControlBarIconBaseStyle, setControlBarIconSize, setControlsBarHeight, setCurrentViewName, setData, setData, setData, setDataFetchMode, setDataPageSize, setDataSource, setDataSource, setDateCellAlignCustomizer, setDateCellVAlignCustomizer, setDateCSSTextCustomizer, setDateEditingStyle, setDateFormatter, setDateHeaderCustomizer, setDateHTMLCustomizer, setDatePickerHoverText, setDateStyleCustomizer, setDayBodyBaseStyle, setDayHeaderBaseStyle, setDayViewTitle, setDeepCloneOnEdit, setDefaultProperties, setDefaultTimelineColumnSpan, setDescriptionField, setDetailsButtonTitle, setDisableDateCustomizer, setDisableWeekends, setDragDataAction, setDragDataCustomizer, setDragHoverCustomizer, setDragTrackerStyle, setDropValues, setDuplicateDragMessage, setDurationField, setDurationUnitField, setEditFormulaFieldText, setEditSummaryFieldText, setEndDate, setEndDateField, setEventAllDayFieldTitle, setEventAutoArrange, setEventBodyHTMLCustomizer, setEventCanvasCloseButtonSize, setEventCanvasCloseIconSize, setEventCanvasComponentCustomizer, setEventCanvasGripperIconCustomizer, setEventCanvasHoverHTMLCustomizer, setEventCanvasMenuCustomizer, setEventDescriptionFieldTitle, setEventDialogCustomizer, setEventDialogFields, setEventDragGap, setEventDurationFieldTitle, setEventDurationUnitFieldTitle, setEventEditorButtons, setEventEditorCustomizer, setEventEditorDateFieldTitle, setEventEditorFields, setEventEndDateFieldTitle, setEventHeaderHeight, setEventHeaderHTMLCustomizer, setEventHeaderWrap, setEventLaneFieldTitle, setEventNameFieldTitle, setEventOverlap, setEventOverlapIdenticalStartTimes, setEventOverlapPercent, setEventScreen, setEventSnapGap, setEventStartDateFieldTitle, setEventStyle, setEventStyleName, setEventStyleNameField, setEventSublaneFieldTitle, setEventWindowStyle, setEventWindowStyleField, setExportAll, setExportFields, setExportIncludeSummaries, setFetchOperation, setFields, setFirstDayOfWeek, setFixedEventHeight, setHeaderHoverCustomizer, setHeaderLevels, setHideUnusedLanes, setHiliteProperty, setHilites, setHiliteState, setImplicitCriteria, setImplicitCriteria, setImplicitCriteria, setIncludeRangeCriteria, setIndicatorHoverHTMLCustomizer, setIndicators, setIndicatorStyleName, setInitialCriteria, setInvalidDateMessage, setLaneEventPadding, setLaneFields, setLaneGroupByField, setLaneGroupByField, setLaneGroupStartOpen, setLaneGroupStartOpen, setLaneNameField, setLanes, setLaneTitle, setLeadingDateField, setLimitToWorkday, setLogicalStructure, setLongEventDragOpacity, setLongEventHeight, setLongEventLayoutSpace, setLongEventLayoutStyleName, setLongEventStyleName, setMinimalUI, setMinimumDayHeight, setMinLaneHeight, setMinLaneWidth, setMinRowHeight, setMinutesPerRow, setMonthButtonIconSrc, setMonthButtonTitle, setMonthMoreEventsLinkTitle, setMonthViewHoverHTMLCustomizer, setMonthViewTitle, setNameField, setNewEventWindowTitle, setNewLongEventName, setNextButtonHoverText, setOtherDayBlankStyle, setOtherDayBodyBaseStyle, setOtherDayClickNavigation, setOtherDayHeaderBaseStyle, setOverlapSortSpecifiers, setPreventDuplicates, setPreviousButtonHoverText, setProgressiveLoading, setRemoveButtonTitle, setRemoveOperation, setRenderEventsOnDemand, setResolution, setResolution, setRowHeight, setRowTitleFrequency, setSaveButtonTitle, setSavedSearchId, setScrollToWorkday, setSelectChosenDate, setSelectedCellStyle, setShowAddEventButton, setShowCellHovers, setShowColumnLayouts, setShowComplexFields, setShowControlsBar, setShowDateChooser, setShowDateCustomizer, setShowDatePickerButton, setShowDayHeaders, setShowDayLanes, setShowDayView, setShowDetailFields, setShowDragHovers, setShowEventCanvasComponents, setShowEventCustomizer, setShowEventDescriptions, setShowEventHeaders, setShowEventHovers, setShowHeaderHovers, setShowHiddenFields, setShowIndicators, setShowIndicatorsInFront, setShowLabelColumn, setShowLaneCustomizer, setShowLaneFieldHovers, setShowLaneRollOver, setShowMonthButton, setShowMonthView, setShowNextButton, setShowOtherDays, setShowPreviousButton, setShowQuickEventDialog, setShowSavedSearchesByDS, setShowTimelineView, setShowViewHovers, setShowWeekends, setShowWeekView, setShowWorkday, setShowZoneHovers, setShowZones, setSizeEventsToGrid, setSizeToWorkday, setSort, setSparseFieldState, setStartDate, setStartDateField, setStyleWorkday, setSublaneNameField, setTimeFormatter, setTimeFormatter, setTimelineGranularity, setTimelineRange, setTimelineRange, setTimelineUnitsPerColumn, setTimelineViewTitle, setTitleField, setTodayBackgroundColor, setTrailingDateField, setTwentyFourHourTime, setUpdateOperation, setUseAllDataSourceFields, setUseEventCanvasRolloverControls, setUseFlatFields, setUseSublanes, setWeekendDays, setWeekEventBorderOverlap, setWeekPrefix, setWeekViewTitle, setWorkdayBaseStyle, setWorkdayEnd, setWorkdays, setWorkdayStart, setZoneHoverHTMLCustomizer, setZones, setZoneStyleName, setZoneTitleOrientation, shouldDisableDate, shouldDisableDate, shouldShowDate, shouldShowDate, shouldShowEvent, shouldShowEvent, shouldShowLane, shouldShowLane, shouldShowLane, showEventCanvasComponent, showEventDialog, showEventDialog, showEventDialog, showEventEditor, showEventEditor, showEventEditor, showNewEventDialog, showNewEventDialog, showNewEventEditor, showNewEventEditor, timelineEventMoved, timelineEventResized, transferRecords, transferSelectedData, transferSelectedData, updateCalendarEvent, updateEvent, updateEventCanvasComponent`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, dataContextChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCorrectZoomOverflow, getCursor, getDataContext, getDataPath, getDefaultHeight, getDefaultWidth, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getEditProxyConstructor, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getTabIndex, getTestDataContext, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getUISummary, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDragMask, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAlign, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setEditProxyConstructor, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setTabIndex, setTestDataContext, setTitle, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDragMask, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startDebuggingOverflow, stopDebuggingOverflow, supportsValueDictation, supportsVoiceCommands, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.smartgwt.client.widgets.DataBoundComponent

      `getOrCreateJsObj`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### Timeline

          public Timeline()

    - #### Timeline

          public Timeline(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static Timeline getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `Calendar`

    - #### setDefaultProperties

          public static void setDefaultProperties(Timeline timelineProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `timelineProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.calendar.TimelineLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `Calendar`